Comment 3 for bug 63450

Revision history for this message
Yves Junqueira (yves.junqueira) wrote : Re: acpid install fails, upgrading from dapper to edgy beta.

The postinst script is not indempotent. One possible fix is:

--- /tmp/acpid.postinst 2006-10-23 17:00:28.000000000 -0200
+++ acpid.postinst 2006-10-23 17:01:18.000000000 -0200
@@ -11,9 +11,9 @@
 if [ -x "/etc/init.d/acpid" ]; then
        update-rc.d acpid multiuser 10 21 >/dev/null
        if [ -x "`which invoke-rc.d 2>/dev/null`" ]; then
- invoke-rc.d acpid start || exit $?
+ invoke-rc.d acpid restart || exit $?
        else
- /etc/init.d/acpid start || exit $?
+ /etc/init.d/acpid restart || exit $?
        fi
 fi
 # End automatically added section